package com.yifu.cloud.plus.v1.yifu.common.core.exception;

/**
 * 错误编码
 *
 * @author lengleng
 * @date 2022/3/30
 */
public interface ErrorCodes {

	/**
	 * 系统编码错误
	 */
	String SYS_PARAM_CONFIG_ERROR = "sys.param.config.error";

	/**
	 * 系统内置参数不能删除
	 */
	String SYS_PARAM_DELETE_SYSTEM = "sys.param.delete.system";

	/**
	 * 用户已存在
	 */
	String SYS_USER_USERNAME_EXISTING = "sys.user.username.existing";

	/**
	 * 用户原密码错误，修改失败
	 */
	String SYS_USER_UPDATE_PASSWORDERROR = "sys.user.update.passwordError";

	/**
	 * 用户信息为空
	 */
	String SYS_USER_USERINFO_EMPTY = "sys.user.userInfo.empty";

	/**
	 * 获取当前用户信息失败
	 */
	String SYS_USER_QUERY_ERROR = "sys.user.query.error";

	/**
	 * 部门名称不存在
	 */
	String SYS_DEPT_DEPTNAME_INEXISTENCE = "sys.dept.deptName.inexistence";

	/**
	 * 岗位名称不存在
	 */
	String SYS_POST_POSTNAME_INEXISTENCE = "sys.post.postName.inexistence";

	/**
	 * 岗位名称或编码已经存在
	 */
	String SYS_POST_NAMEORCODE_EXISTING = "sys.post.nameOrCode.existing";

	/**
	 * 角色名称不存在
	 */
	String SYS_ROLE_ROLENAME_INEXISTENCE = "sys.role.roleName.inexistence";

	/**
	 * 角色名或角色编码已经存在
	 */
	String SYS_ROLE_NAMEORCODE_EXISTING = "sys.role.nameOrCode.existing";

	/**
	 * 系统内置菜单不允许删除
	 */
	String SYS_MENU_DELETE_SYSTEM = "sys.menu.delete.system";

	/**
	 * 菜单上级菜单不可为数据权限配置类菜单
	 */
	String SYS_MENU_ADD_PARENT_ERROR = "sys.menu.add.parent.error";

	/**
	 * 菜单存在下级节点 删除失败
	 */
	String SYS_MENU_DELETE_EXISTING = "sys.menu.delete.existing";

	/**
	 * 系统内置字典不允许删除
	 */
	String SYS_DICT_DELETE_SYSTEM = "sys.dict.delete.system";

	/**
	 * 系统内置字典不能修改
	 */
	String SYS_DICT_UPDATE_SYSTEM = "sys.dict.update.system";

	/**
	 * 验证码发送频繁
	 */
	String SYS_APP_SMS_OFTEN = "sys.app.sms.often";

	/**
	 * 手机号未注册
	 */
	String SYS_APP_PHONE_UNREGISTERED = "sys.app.phone.unregistered";

	/**
	 * 字典存在下级节点 删除失败
	 */
	String SYS_DICT_DELETE_EXISTING = "sys.dict.delete.existing";

	/**
	 * 系统内置角色不允许删除
	 */
	String SYS_ROLE_DELETE_SYSTEM = "sys.role.delete.system";

	/**
	 * 该角色下还有关联的用户，请先将用户转移到其他角色!
	 */
	String SYS_ROLE_DELETE_EXIST_USER = "sys.role.delete.existing.user";

	/**
	 * 系统内置角色不能修改
	 */
	String SYS_ROLE_UPDATE_SYSTEM = "sys.role.update.system";

	/**
	 * 系统内置用户不允许删除
	 */
	String SYS_USER_DELETE_SYSTEM = "sys.user.delete.system";

	/**
	 * 系统内置用户不允许修改
	 */
	String SYS_USER_UPDATE_SYSTEM = "sys.user.update.system";

	/**
	 * 已存在对应标识的角色
	 */
	String SYS_ROLE_UPDATE_ERROR_CODE_EXIST= "sys.role.update.error.code.exist";
	/**
	 * 已存在对应名称的菜单
	 */
	String SYS_MENU_ADD_NAME_EXIST = "sys_menu_add_name_exist";

	/**
	 * 已存在对应名称的角色
	 */
	String SYS_ROLE_UPDATE_ERROR_NAME_EXIST ="sys.role.update.error.name.exist";

	/**
	 * 已存在对应编码的字典
	 */
	String SYS_DICT_ADD_TYPE_EXISTS = "sys.dict.add.type.exist";
}
